phpMyAdmin 2.11.7.1 package available for ISPConfig 2

Discussion in 'General' started by Hans, Jul 15, 2008.

  1. Hans

    Hans Moderator

    Today a new stable version of phpMyAdmin has been released, which is a bug- & securityfix, so it's recommended to upgrade to this latest version. The package i've created is based on phpMyAdmin version 2.11.7.1.

    For release notes, please have a look here.

    For security reasons, I also added the following to the configuration file called config.inc.php, so that some databases will be hidden:

    $cfg['Servers'][$i]['hide_db'] = '(information_schema|mysql|pmadb|test)';

    The file phpmyadmin/scripts/setup.php is NOT included in the package.

    Update instructions:
    Remove the old phpMyAdmin version first before you install this new package on your ISPConfig server!
    You can do this with the following commands:
    rm -r /home/admispconfig/ispconfig/web/phpmyadmin
    rm /home/admispconfig/ispconfig/web/phpmyadmin.tar.gz
    rm -r /home/admispconfig/ispconfig/web/tools/tools/phpmyadmin

    The package can be downloaded here.

    Use the Update Manager within ISPConfig to install the new phpMYAdmin package.
     

    Attached Files:

    Last edited: Jul 16, 2008
  2. edge

    edge HowtoForge Supporter

    Hi Hans,

    Once again thank you.
     
  3. Srdan Dukic

    Srdan Dukic New Member

    Hi Hans,

    I installed the latest package after removing the old one, following your instructions. The package installs properly, however after going into 'Tools' and selecting phpMyAdmin a new browser tab is opened up but then it just hangs (i.e. the browser waits for a reply from the server until it times out). I have checked that there are files for 'phpmyadmin' under the /home/admispconfig/ispconfig/web/ and the /home/admispconfig/ispconfig/web/tools/tools/ directories and they are there.
     
  4. catding

    catding New Member

    sir.
    I just install the phpmyadmin.
    but when i open it.
    it says : it can't open this page,
    error code: sec_error_unknown_issuer..

    https://www.proxin.us:81/phpmyadmin

    Can anybody help?
     
  5. Hans

    Hans Moderator

    You can try to execute: /etc/init.d/ispconfig_server restart
    Also refresh your browser.
     
  6. Hans

    Hans Moderator

    The error seems so come from your Mozilla Browser (Firefox 3 ?).
    Please have a look here for more information about the error.

    Do you use https with a self signed certifate? Maybe that's the problem.
    The phpMyAdmin package itself works fine. Try another browser to check by yourself.
     
  7. catding

    catding New Member

    hi,sir.
    yes, i am using a self signed certifate.
    how can i change it to none-signed certifate?

    and i tried IE6.
    still can't open phpmyadmin..

    what's wrong with it?

    Thankss
     

Share This Page